# PyExpo 2023 Master Class on AI

### _By Navaneeth Malingan_

<a target="_blank" href="https://www.instagram.com/nivu.me/">
  <img align="left" alt="Instagram" width="22px" src="https://raw.githubusercontent.com/gauravghongde/social-icons/master/SVG/Color/Instagram.svg" />
</a>

<a target="_blank" href="https://www.linkedin.com/in/nivu/">
  <img align="left" alt="LinkdeIN" width="22px" src="https://raw.githubusercontent.com/gauravghongde/social-icons/master/SVG/Color/LinkedIN.svg" />
</a>
<br/>

## Artificial Intelligence

- Computer Vision
    - Image Classification
    - Object Detection
    - Activity Recognition
    - Text2Image (Image Generation)
    - Image2Text (Image Captioning)
    - OCR (Optical Character Recognition)

- Natural Language Processing
    - Voice2Text
    - Text2Voice
    - Language Translation
    - Text Sentiment Analysis
    - Text Auto Correct
    - Text Generation - Auto Complete
    - Sentence Similarity



## [Teachable Machine](https://teachablemachine.withgoogle.com/)
_Train a computer to recognize your own images, sounds, & poses.
A fast, easy way to create machine learning models for your sites, apps, and more – no expertise or coding required._

[Sorting Marshmallows with AI: Using Coral + Teachable Machine](https://www.youtube.com/watch?v=ydzJPeeMiMI)

## [Edge Impulse](https://www.edgeimpulse.com/)
_Edge Impulse is the leading development platform for machine learning on edge devices, free for developers and trusted by enterprises._

<https://www.edgeimpulse.com/case-studies>

Check out here👇for example projects

<https://www.edgeimpulse.com/blog>

## [Huggingface](https://huggingface.co/)

### Table Question Answering

_TAPAS, the model learns an inner representation of the English language used in tables and associated texts, which can then be used to extract features useful for downstream tasks such as answering questions about a table, or determining whether a sentence is entailed or refuted by the contents of a table._

<https://huggingface.co/tasks/table-question-answering>

<https://huggingface.co/Meena/table-question-answering-tapas>

#### Movie Dataset Question & Answering 👇

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/1JQrQblgQ4WFqRGe1MTqu_LekP0A7u_Qd?usp=sharing)

#### Voice2Text Notebook 👇

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/1J2f5Fpbhmn7Pon3HRcgZaG-18hy2lPMQ?usp=sharing)

### Stable Diffusion for Image Generation

Stable Diffusion is a latent text-to-image diffusion model capable of generating photo-realistic images given any text input.

<https://huggingface.co/CompVis/stable-diffusion-v1-4>


#### Image Generation Notebook 👇

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/117MVG3hWRmPcIHGwKbmekL3WnpvzAM6k?usp=sharing)

### Image Captioning

<https://huggingface.co/nlpconnect/vit-gpt2-image-captioning>

## [Roboflow](https://roboflow.com/)

### Python Webcam Inference Examples

<https://github.com/roboflow/roboflow-api-snippets/tree/main/Python/webcam>

[Using Your Webcam with Roboflow Models](https://blog.roboflow.com/python-webcam/)



